
package com.pot.ser;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.pot.ser package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _DumpValuesResponse_QNAME = new QName("http://ws.server.gwt.koala.dset.com/", "dumpValuesResponse");
    private final static QName _GenerateTableResponse_QNAME = new QName("http://ws.server.gwt.koala.dset.com/", "generateTableResponse");
    private final static QName _ValidationTable_QNAME = new QName("http://ws.server.gwt.koala.dset.com/", "validationTable");
    private final static QName _IdentificationResponse_QNAME = new QName("http://ws.server.gwt.koala.dset.com/", "identificationResponse");
    private final static QName _LastValuesResponse_QNAME = new QName("http://ws.server.gwt.koala.dset.com/", "lastValuesResponse");
    private final static QName _ValidationTableResponse_QNAME = new QName("http://ws.server.gwt.koala.dset.com/", "validationTableResponse");
    private final static QName _Identification_QNAME = new QName("http://ws.server.gwt.koala.dset.com/", "identification");
    private final static QName _LastValues_QNAME = new QName("http://ws.server.gwt.koala.dset.com/", "lastValues");
    private final static QName _DumpValues_QNAME = new QName("http://ws.server.gwt.koala.dset.com/", "dumpValues");
    private final static QName _GenerateTable_QNAME = new QName("http://ws.server.gwt.koala.dset.com/", "generateTable");
    private final static QName _Exception_QNAME = new QName("http://ws.server.gwt.koala.dset.com/", "Exception");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.pot.ser
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DumpValues }
     * 
     */
    public DumpValues createDumpValues() {
        return new DumpValues();
    }

    /**
     * Create an instance of {@link LastValues }
     * 
     */
    public LastValues createLastValues() {
        return new LastValues();
    }

    /**
     * Create an instance of {@link SignalLastValue }
     * 
     */
    public SignalLastValue createSignalLastValue() {
        return new SignalLastValue();
    }

    /**
     * Create an instance of {@link IdentificationResponse }
     * 
     */
    public IdentificationResponse createIdentificationResponse() {
        return new IdentificationResponse();
    }

    /**
     * Create an instance of {@link Identification }
     * 
     */
    public Identification createIdentification() {
        return new Identification();
    }

    /**
     * Create an instance of {@link SignalInstallation }
     * 
     */
    public SignalInstallation createSignalInstallation() {
        return new SignalInstallation();
    }

    /**
     * Create an instance of {@link GenerateTableResponse }
     * 
     */
    public GenerateTableResponse createGenerateTableResponse() {
        return new GenerateTableResponse();
    }

    /**
     * Create an instance of {@link ValidationTable }
     * 
     */
    public ValidationTable createValidationTable() {
        return new ValidationTable();
    }

    /**
     * Create an instance of {@link LastValuesResponse }
     * 
     */
    public LastValuesResponse createLastValuesResponse() {
        return new LastValuesResponse();
    }

    /**
     * Create an instance of {@link GenerateTable }
     * 
     */
    public GenerateTable createGenerateTable() {
        return new GenerateTable();
    }

    /**
     * Create an instance of {@link Exception }
     * 
     */
    public Exception createException() {
        return new Exception();
    }

    /**
     * Create an instance of {@link ValidationTableResponse }
     * 
     */
    public ValidationTableResponse createValidationTableResponse() {
        return new ValidationTableResponse();
    }

    /**
     * Create an instance of {@link Histo }
     * 
     */
    public Histo createHisto() {
        return new Histo();
    }

    /**
     * Create an instance of {@link DumpValuesResponse }
     * 
     */
    public DumpValuesResponse createDumpValuesResponse() {
        return new DumpValuesResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DumpValuesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.server.gwt.koala.dset.com/", name = "dumpValuesResponse")
    public JAXBElement<DumpValuesResponse> createDumpValuesResponse(DumpValuesResponse value) {
        return new JAXBElement<DumpValuesResponse>(_DumpValuesResponse_QNAME, DumpValuesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GenerateTableResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.server.gwt.koala.dset.com/", name = "generateTableResponse")
    public JAXBElement<GenerateTableResponse> createGenerateTableResponse(GenerateTableResponse value) {
        return new JAXBElement<GenerateTableResponse>(_GenerateTableResponse_QNAME, GenerateTableResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ValidationTable }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.server.gwt.koala.dset.com/", name = "validationTable")
    public JAXBElement<ValidationTable> createValidationTable(ValidationTable value) {
        return new JAXBElement<ValidationTable>(_ValidationTable_QNAME, ValidationTable.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentificationResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.server.gwt.koala.dset.com/", name = "identificationResponse")
    public JAXBElement<IdentificationResponse> createIdentificationResponse(IdentificationResponse value) {
        return new JAXBElement<IdentificationResponse>(_IdentificationResponse_QNAME, IdentificationResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LastValuesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.server.gwt.koala.dset.com/", name = "lastValuesResponse")
    public JAXBElement<LastValuesResponse> createLastValuesResponse(LastValuesResponse value) {
        return new JAXBElement<LastValuesResponse>(_LastValuesResponse_QNAME, LastValuesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ValidationTableResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.server.gwt.koala.dset.com/", name = "validationTableResponse")
    public JAXBElement<ValidationTableResponse> createValidationTableResponse(ValidationTableResponse value) {
        return new JAXBElement<ValidationTableResponse>(_ValidationTableResponse_QNAME, ValidationTableResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Identification }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.server.gwt.koala.dset.com/", name = "identification")
    public JAXBElement<Identification> createIdentification(Identification value) {
        return new JAXBElement<Identification>(_Identification_QNAME, Identification.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LastValues }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.server.gwt.koala.dset.com/", name = "lastValues")
    public JAXBElement<LastValues> createLastValues(LastValues value) {
        return new JAXBElement<LastValues>(_LastValues_QNAME, LastValues.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DumpValues }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.server.gwt.koala.dset.com/", name = "dumpValues")
    public JAXBElement<DumpValues> createDumpValues(DumpValues value) {
        return new JAXBElement<DumpValues>(_DumpValues_QNAME, DumpValues.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GenerateTable }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.server.gwt.koala.dset.com/", name = "generateTable")
    public JAXBElement<GenerateTable> createGenerateTable(GenerateTable value) {
        return new JAXBElement<GenerateTable>(_GenerateTable_QNAME, GenerateTable.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Exception }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.server.gwt.koala.dset.com/", name = "Exception")
    public JAXBElement<Exception> createException(Exception value) {
        return new JAXBElement<Exception>(_Exception_QNAME, Exception.class, null, value);
    }

}
