/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package clientws;

import clientws.log.Log;
import java.io.IOException;
import java.net.MalformedURLException;
import java.util.Date;
import java.util.Timer;
import java.util.TimerTask;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author jmas
 */
public class ClientWS {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws IOException {

        intro();
        
        // Cridem Bridge per aconsguir els historics amb un fil nou
        
            Thread th= new Thread(new Runnable() {

            @Override
            public void run() {
                try {
                    Bridge.connect();
                } catch (IOException ex) {
                    Log.error(ex.getMessage());
                }
            }
        })  ;
       

     
       
        Timer timer = new Timer();


        TimerTask timerTask = new TimerTask() {

            @Override
            public void run() {
                try {
                    MainProces main = MainProces.getInstance();
                    main.run();
                } catch (Exception e) {

                    if (e instanceof MalformedURLException) {
                        Log.error("La URL del Web Service és incorrecte! Escriu una URL correcte");
                    } else {
//                Log.error(e.getMessage());
                    }
                }
            }
        };
        
        th.start();
        
        timer.scheduleAtFixedRate(timerTask, 0, Parameters.PERIOD);
        
    }

    private static void intro() {
        Log.info(" ___..._           _...___");
        Log.info("/'--.._ `'-=\"\"\"=-'` _..--'\\ ");
        Log.info("|   ~. )  _     _  ( .~   |");
        Log.info(" \\  '~/   a  _  a   \\~'  /");
        Log.info("  \\  `|     / \\     |`  /");
        Log.info("   `'--\\    \\_/    /--'`");
        Log.info("       .'._  J__.-'.");
        Log.info("      / /  '-/_ `-  \\ ");
        Log.info("     / -\"-'-.  '-.__/ ");
        Log.info("     \\__,-.\\/     | `\\ ");
        Log.info("     /  ;---.  .--'   |");
        Log.info("    |     /\'-'       /");
        Log.info("    '.___.\\   _.--;'`)");
        Log.info("          '-'     `\"");
    }
}
