/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package clientws.bdsqlserver;

import clientws.UnitsEnum;
import clientws.log.ClientScada;
import clientws.log.Log;
import com.pot.ser.Histo;
import com.pot.ser.SignalInstallation;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.math.BigInteger;
import java.sql.SQLException;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

/**
 *
 * @author jmas
 */
public class FileData {
   
    private ClientScada clientParam;

    public FileData(ClientScada clientParam) throws Exception {
        this.clientParam = clientParam;
    }

    //Proporciona al servidor web el fitxer de Senyals
    public List<SignalInstallation> getSignalsDescription() throws SQLException, FileNotFoundException, IOException {
        List<SignalInstallation> list = new ArrayList<SignalInstallation>();
        
 
        File arxiu = new File("SignalList.txt");
        FileReader fr = new FileReader(arxiu);
        BufferedReader br = new BufferedReader(fr); //Fa falta per poder tenir diversos metodes
        String linia;

        while ((linia = br.readLine()) != null) { //Fins fi de linia
            SignalInstallation signalInstallation = new SignalInstallation();

            int pos = linia.indexOf('*');//Busquem el xivato
            
            String valor = linia.substring(pos + 1); //Agafem el nom del signal
            String codiS = linia.substring(0, pos); //Agafem el codi de la senyal
                 

            String codi = codiS;
            signalInstallation.setCode(codi);
            signalInstallation.setDescription("Llista de Senyals");
            signalInstallation.setTypeDataSignal("A");
            signalInstallation.setFrequencia(50); 
            signalInstallation.setTypeFreq("Hz");

            UnitsEnum unitsEnum = clientParam.getSignalUnit().get(signalInstallation.getCode());
            signalInstallation.setTypeUnit(unitsEnum == null ? null : unitsEnum.getId());

            Log.debug("Row: " + signalInstallation.getCode() + ", " + signalInstallation.getDescription() + ", " + signalInstallation.getTypeDataSignal() + ", " + signalInstallation.getFrequencia()
                    + ", " + signalInstallation.getTypeFreq() + ", " + signalInstallation.getTypeUnit());

            list.add(signalInstallation);
        }

        //En aquest punt hauries de tenir una llista de senyals.
        
        try{
        pintarLlistaSenyals(list);
        }catch(Exception e){
            System.out.println(e.getMessage()+"Hola");
            System.out.println("Catch");
        }

        //rs.close();
        //cstmt.close();
        return list;
    }

    public List<Histo> getSignalHisto(String code, Date init) throws SQLException, Exception {

        List<Histo> list = new ArrayList<Histo>();
        
        try{
        //PreparedStatement cstmt = null;
        //ResultSet rs = null;
        //String query = "select lstepdate as datetime, lstepvalue as value from dbo.linestep_" + code;
        Long dateLong = init.getTime();
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        
        
        
        
        
        
        if (init != null) {
            //dateLong = new Long(sdf.format(init)); /////////AL LOOOROOOOOOOOO!!
        }

        // query = query + " order by lstepdate";

        //  Log.info("QUERY: " + query);
        // cstmt = con.prepareStatement(query);
        if (init != null) {
//            cstmt.setLong(1, dateLong);
            Log.info("Data actual amb format UNIX : " + dateLong + "\n");
            
        }

                
        File arxiuSS = new File("SignalList.txt");
        FileReader frSS = new FileReader(arxiuSS);
        BufferedReader brSS = new BufferedReader(frSS); //Fa falta per poder tenir diversos metodes
        String liniaSS;
        
        while ((liniaSS = brSS.readLine()) != null) { //Per cada senyal ens agafa el fitxer historic i l'envia 
            
            int posSS = liniaSS.indexOf('#');//Busquem el xivato
            int posFSS = liniaSS.indexOf('&'); //Busquem l'altre xivato
            String NomHistoric = liniaSS.substring(posSS+1,posFSS);
            
            
            File arxiu2 = new File(NomHistoric + ".txt");
            FileReader fr = new FileReader(arxiu2);
            BufferedReader br = new BufferedReader(fr); //Fa falta per poder tenir diversos metodes

            String linia;

            int count = 0;

            try{
              while ((linia = br.readLine()) != null) {


                int pos = linia.indexOf('*');//Busquem el xivato
                int posA = linia.indexOf('#');
                String valor = linia.substring(pos + 1,posA-1); //Agafem el valor del historic
                int pos2 = linia.indexOf('>');
                String data = linia.substring(0,pos2-3); //Agafem valor data
                float floatvalor = Float.valueOf(valor);

                
                Histo histo = new Histo();
                Date date = null;
                try {
                    date = sdf.parse(data);
                    
                } catch (ParseException e) {
                    throw new Exception("Error al parsejar la data", e);
                }

                if (date == null ) {
                    throw new SQLException("Malament no tenim data");
                }
                
                //Conversor epcho to human time    
       
               // Log.info("********************");
               // Log.info("Comparació de dates del Historic");
               // Log.info(dateLong + " < " + date.getTime());
               // Log.info("******************** \n");
                
                //Log.info(signalLastValue.getDatetime() + "");
                if (dateLong < date.getTime()){ //Comparem amb data del servidor
                    Log.info("Insertem el valor: " + floatvalor + "al servidor YES");
                    Log.info("amb data " + data + "UNIX TIME" +date.getTime());
                    //Log.info(dateLong +"Data a comparar");
                    //Log.info(date.getTime() + "date.getime");

                   histo.setDatetime(new BigInteger(date.getTime() + ""));
                   histo.setValue(new Double(floatvalor));
                //histo.setValue(new Double(rs.getFloat("value")));

                   list.add(histo);
                }
    //            if (count <= 100) {
    //                count++;
    //            } else {
    //                break;
    //            }
              } //While
            
            }catch(Exception e){
               e.printStackTrace();
            }
        
            
        }
        
      }catch(Exception e){
        e.printStackTrace();
      }
        
       return list;
  } 
    
    
    /**
     * Donada una llista de senyals pinta per pantalla el seu contingut
     * 
     * @param listSignalInstallations Llista a printar.
     */
    private void pintarLlistaSenyals(List<SignalInstallation> listSignalInstallations) {

        Log.info("Llista de senyals amb " + listSignalInstallations.size() + " senyals.");
        for (SignalInstallation signalInstallation : listSignalInstallations) {
            Log.info("\n "
                    + "\n**********************************");
            Log.info("Dades de la instalacio"
                    + "\nCodi senyal : " + signalInstallation.getCode()
                    + "\nDescripcio senyal : " + signalInstallation.getDescription()
                    + "\nTipus Dades Senyal : " + signalInstallation.getTypeDataSignal()
                    + "\nTipus Frequencia : " + signalInstallation.getTypeFreq()
                    + "\nFrequencia: " + signalInstallation.getFrequencia().toString()
                    + "\nTipus Unitat: " + signalInstallation.getTypeUnit()
                    + "\n**********************************"
                    + "\n ");
        }
    }
}
