###################################
#
# Classe SlothX4
# Es el main del porjecte
#
####################################


import sys
import os
import stat
from time import gmtime, strftime
import socket
import time
import Modbus
import sched


from Modbus.ReadCoilStatus import ReadCoilStatus
from Modbus.ReadInputRegister import ReadInputRegister
from Modbus.modbus import *
from Modbus.Error import *
from Historic import Historic
from SlavesDef import SetSlaveDef
from IniParameters import IniParameters
from SocketConnections import *
#from CheckSumMd5 import *



from SignalList import *
from Signal import *
from SlavesDef import *
from LogInsertClass import *
from CheckHistoric import *

def main():



    
#*********************LOG********************* 
    flog = logfile()
    flog.inserta("******** New Log ---> "+strftime("%Y-%b-%d -- %Hh-%MM-Ss" )+" ********"+'\n')
#*********************LOG*********************


    #ObjecteLlista = IniParameters()
    #LlistaEsclaus = ObjecteLlista.GetInitParameters() #Constructor defecte sense res ??
    
    #Creacio de llista de senyals
    ObjecteLlista = SignalList()
    #Insercio Singals = dispositius a la llista
    ObjecteLlista.AddSignal(SetSlaveDef("192.168.125.69",502,0,1,1,0,0,5),69,"ModBusDset","HModbusDset") #El 60 te que ser el codi de senyal
    #Si volem inserir mes Singals fer-ho aqui a sota
    
    
    
    #
    #Creem una llista de senyals
    LlistaSignals = ObjecteLlista.ReturnList()
  
      #Bucle infinit que llegeix les senyal de tots els dispostius les guarda ls historics i les envia  
    #while 1 :
    var = 1
    while var == 1 : #Bucle provisional fins implementar TIMER
         
    #def recullsenyal(self):
        #time.sleep(5) #Executa el programa cada 5 segons ...   
        
        for Senyal in LlistaSignals:
           # SendHistoric(Senyal.GetNomHistoric())
            #IP = Senyal.GetIp() #ASSIGNACIO AUTOMATICA    
            IP="192.168.125.69"
            #IP = "192.168.125.12"
            #IP="84.89.59.5"
            PORT=Senyal.GetPort()
        
            DEVICE="/dev/ttyS0"
            SPEED=9600
            DABIT=8
        
            #*********************LOG*********************
            flog.inserta(strftime("%Hh-%Mm-%Ss") + " -> [Main] connectant a " + str(IP) + " al " + str(PORT) + " en el slave "+str(Senyal.GetEsclau())+" a l @ "+str(Senyal.GetAdrecaModbus())+" i aconseguim "+str(Senyal.GetNumeroRegistres())+" registre"  + '\n' )
            #flog.inserta("en el slave "+str(Senyal.GetEsclau())+" a l @ "+str(Senyal.GetAdrecaModbus())+" i aconseguim "+str(Senyal.GetNumeroRegistres())+" registre")
            #*********************LOG*********************
    
            print "IP:port : %s:%d" % (IP,PORT)
            
            #ModubsConnexion ...
            mb=ReadInputRegister(0,TypeComT().TCP,IP,PORT,DEVICE,SPEED,"none",DABIT,2,1)
            if (mb.starConnection() < 0):
                # No s'ha pogut conectar amb  ... FUNCIO LI passes string 
                pass
                print "NO estem connectats"
            else:
                try:          
                #  print "Stat: %d" % (mb.read(5,0,1))
                    #valor = mb.read(Senyal.GetEsclau(),Senyal.GetAdrecaModbus(),Senyal.GetNumeroRegistres())
                    valor = mb.read(5,Senyal.GetAdrecaModbus(),Senyal.GetNumeroRegistres())
                    
                    print "El nom de l'historic es :"
                    print Senyal.GetNomHistoric() 
                    #Desmarcar quan funcioni el modbus
                    
                    #Valor pot retornar varis valors en una array
                    for val in valor:
                        print ("Valor: %s") % (val)
                        hh=Historic(val,Senyal.GetNomHistoric())
                        hh.pinta()
                        
                        # Es pot prepara que per una trama recollis varies senyals ...
                    
                    #Comprovem fitxer si te dades trencades
                    CheckHistoric(Senyal.GetNomHistoric())
                    #Envia el fitxer
                    #Habilitar quan server obert
                    SendHistoric(Senyal.GetNomHistoric(),Senyal.CodiSenyal)
                    SendSignals ()
                    mb.closeConnection()
                    
                    
                    print "Sleeping !"
                    flog.inserta(strftime("%Hh-%Mm-%Ss") + " -> [Main] Sleeping for 15 minuts don t disturb please !" + '\n' )
                    #*********************LOG*********************
                    flog.inserta( "******** Close Log --->"+strftime("%Y-%b-%d -- %Hh-%Mm-%Ss ")+"********"+'\n')
                    #*********************LOG*********************
                    time.sleep(900) #Timer que ens temportiza cada quants segons s executara el programa
                    print "Go Sloth!!"
                    #*********************LOG*********************   
                    flog.inserta("******** New Log ---> "+strftime("%Y-%b-%d -- %Hh-%Mm-%Ss" )+" ********"+'\n')
                    #*********************LOG*********************  
                    flog.inserta(strftime("%Hh-%Mm-%Ss") + " -> [Main] I get up! nice day to datalloger boy !"  + '\n' )
                    #var = var+1
                except Error, e:
                    print e
                    ## Fi function registre senyal       
                    #*********************LOG*********************
                    flog.inserta( "******** Close Log ---> "+strftime("%Y-%b-%d -- %Hh-%Mm-%Ss ")+"********"+'\n')
                    #*********************LOG*********************
                    print var
                    
 
if __name__ == "__main__":
    status=main()
sys.exit(status)
    
