# To change this template, choose Tools | Templates
# and open the template in the editor.

__author__="jmas"
__date__ ="$22/10/2010 10:19:28$"

from Error import Invalid_CRC
from modbus import Modbus

class ReadOperation(Modbus):

    def __init__(self,mode,type_com,ip="",port=0,device="",baud=0,parity="none",databit=8,stopbit=1,debug=0):
        self.var=0

        Modbus.__init__(self,mode,type_com,ip,port,device,baud,parity,databit,stopbit,debug)

    def read(self,offset):
        pass

    def read_io_status(self,slave,fcOp,addrStart,nbits):

        query,query_length=self.build_query_basis(slave,fcOp,addrStart,nbits)

        try:
            self.modbus_send(query,query_length)

        except Error:
            raise Error()
        else:

            try:
                response,ret=self.modbus_receive(query)

            except Invalid_CRC:
                raise Invalid_CRC
        return ret

    def read_registers(self,slave,fcOp,addrStart,nbits):

        data_dest=[]
        query,query_length=self.build_query_basis(slave,fcOp,addrStart,nbits)

        try:
            self.modbus_send(query,query_length)

        except Error:
             raise Error()
        else:

            try:
                response,ret=self.modbus_receive(query)
                offset= self.getHeaderLength()

                i=0
                while i<ret:
                    # i << 1 -> i=0001 , 0001 << 1 = 0010
                    data_dest.append((response[offset + 3 + (i<< 1)] << 8) | response[offset + 4 + (i<< 1)])
                    i+=1
            except Invalid_CRC:
                raise Invalid_CRC
        return data_dest

        
def main():
    pass

if __name__ == "__main__":
    import sys
    status=main()
    sys.exit(status)
